package com.tasktop.c2c.server.common.service.web;

/**
 * Base class for exceptions thrown by Apache Rest client whenever it encounters client-side HTTP errors.
 * 
 * @See org.springframework.web.client.RestClientException
 *
 */
public class RestClientException extends RuntimeException {
	/**
	 * serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Construct a new instance exception with the given message and cause.
	 * 
	 * @param msg
	 * @param e
	 */
	public RestClientException(String msg, Throwable e) {
		super(msg, e);
	}

	/**
	 * Construct a new instance exception with the given message.
	 * 
	 * @param msg
	 */
	public RestClientException(Exception e) {
		super("RestClientException", e);
	}

}
